[SciPy-user] "from scipy.linalg.flapack import dgelss" fails

dmitrey dmitrey.kroshko@scipy....
Sat Jun 7 09:58:55 CDT 2008


I have problems with the statement
from scipy.linalg.flapack import dgelss

Traceback (innermost last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.5/site-packages/scipy/linalg/__init__.py", line 
13, in <module>
    from iterative import *
  File "/usr/lib/python2.5/site-packages/scipy/linalg/iterative.py", 
line 5, in <module>
    from scipy.sparse.linalg import isolve
  File "/usr/lib/python2.5/site-packages/scipy/sparse/__init__.py", line 
5, in <module>
    from base import *
  File "/usr/lib/python2.5/site-packages/scipy/sparse/base.py", line 45, 
in <module>
    class spmatrix(object):
  File "/usr/lib/python2.5/site-packages/scipy/sparse/base.py", line 
139, in spmatrix
    @deprecate
TypeError: deprecate() takes exactly 3 arguments (1 given)

at least with latest scipy from svn

 >>> scipy.__version__
'0.7.0.dev4416'

Do you have the same?
This one was working correctly in previous scipy versions

Regards, D.


More information about the SciPy-user mailing list